org.apache.uima.resourceSpecifier.factory

## Interface UimaASPrimitiveDeploymentDescriptor

- All Superinterfaces:
    org.apache.uima.resourceSpecifier.factory.DeploymentDescriptor

      public interface UimaASPrimitiveDeploymentDescriptor
      extends org.apache.uima.resourceSpecifier.factory.DeploymentDescriptor

  The Interface UimaASPrimitiveDeploymentDescriptor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.uima.resourceSpecifier.factory.CollectionProcessCompleteErrors` | `getCollectionProcessCompleteErrorHandlingSettings()` Gets the collection process complete error handling settings.
    `org.apache.uima.resourceSpecifier.factory.GetMetaErrorHandlingSettings` | `getGetMetaErrorHandlingSettings()` Gets the gets the meta error handling settings.
    `org.apache.uima.resourceSpecifier.factory.ProcessCasErrors` | `getProcessErrorHandlingSettings()` Gets the process error handling settings.
    `int` | `getScaleup()` Gets the scaleup.
    `void` | `setScaleup(int scaleup)` Sets the scaleup.

    - ### Methods inherited from interface org.apache.uima.resourceSpecifier.factory.DeploymentDescriptor

      `getBroker, getCasPoolSize, getDescription, getEndpoint, getInitialHeapSize, getName, getPrefetch, getProtocol, getProvider, getServiceAnalysisEngineDescriptor, isAsync, save, setAsync, setBroker, setCasPoolSize, setDescription, setEndoint, setInitialHeapSize, setName, setPrefetch, setProtocol, setProvider, setServiceAnalysisEngineDescriptor, toXML`

- - ### Method Detail

    - #### setScaleup

          void setScaleup(int scaleup)

      Sets the scaleup.
      Parameters:
        `scaleup` - the new scaleup

    - #### getScaleup

          int getScaleup()

      Gets the scaleup.
      Returns:
        the scaleup

    - #### getProcessErrorHandlingSettings

          org.apache.uima.resourceSpecifier.factory.ProcessCasErrors getProcessErrorHandlingSettings()

      Gets the process error handling settings.
      Returns:
        the process error handling settings

    - #### getGetMetaErrorHandlingSettings

          org.apache.uima.resourceSpecifier.factory.GetMetaErrorHandlingSettings getGetMetaErrorHandlingSettings()

      Gets the gets the meta error handling settings.
      Returns:
        the gets the meta error handling settings

    - #### getCollectionProcessCompleteErrorHandlingSettings

          org.apache.uima.resourceSpecifier.factory.CollectionProcessCompleteErrors getCollectionProcessCompleteErrorHandlingSettings()

      Gets the collection process complete error handling settings.
      Returns:
        the collection process complete error handling settings

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.